#pragma once
#include <toml++/toml.hpp>
#include <filesystem>

class config_t {
public:
	bool load_config(const std::filesystem::path& in_filename);

	[[nodiscard]] const auto& get_config() const {
		return tbl;
	}
protected:
	toml::table tbl{};
};
